Subject: Re: [Enum] REMINDER ... Last call on 2916 bis ends tommrrow

From: "Conroy, Lawrence (SMTP)" <[email-masked]>
Date: Tue, 13 May 2003 15:12:20 +0100

Hi Michael, folks,
   Re. Michael's answers to my earlier questions on 340x/2916bis of 29th April,
Many thanks. I'm happy with these BUT...
<Esoteric alert>
It seems to me that...(in the future)...
IF we do define another DB/RuleStore for use with E2U, AND
we want to be able to switch from one rule store to another within
a DDDS Delegation (i.e. between rounds of evaluation) THEN
we will need to modify 2916bis to include a non-terminal flag
that indicates that the evaluation will "leave" DNS at this round
and continue in another DB. A flag need not be present in "normal"
non-terminal NAPTRs, as the implication is to continue in the
current Rule Store, but at least we would need one to indicate
that a change in rule store is required.

Of course, an alternative would be to have a terminal that has
an enumservice indicating the "new" DB that should be queried.
This would be a new delegation, rather than a continuation of
the existing one.
</Esoteric>

This is not an objection, it's just a heads up that this DB/app
definition is not completely stand-alone, and may need a change
if we add a different DB.

Pretty obscure, but potentially interesting in the future.

all the best,
   Lawrence
-- 
-----------------------------------------------------------------------
Roke Manor Research    : This information is provided "as is" and is not
<mailto:[email-masked]>: intended to create any contractual or legal
<tel:+441794833666>    : relationship.
_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: Michael Mealling <[email-masked]>
Date: 13 May 2003 10:21:00 -0400

> Pretty obscure, but potentially interesting in the future.

You are correct. 2916bis is compatible with this feature but it doesn't
enable it directly. I.e. if you do this nothing has to change other than
adding a flag, which means a client that doesn't understand it would
simply and safely ignore it.

The latest (last?!) version of 2916bis just went to the repository so it
should appear here sometime tomorrow morning....

-MM